As a user I'd like my feed to update in an interesting and relevant way
Closed, ResolvedPublic5 Story Points

Description

When sections are inserted on top, above existing content
Continue reading
User returns to app between 1 and 7 days later or app quit

Featured article
When it’s updated for the day

Related read
After first view of article

Related saved
After first save or view (whichever is first) of article

Random
If feed has no other new items and first item hasn’t changed in 7 days

Nearby
If user gives permission &
If there is new nearby &
If first four items in the feed are not nearby

Update the feed when:
If a user opens app for the first time:
Open app on feed and update

If a user leaves app from an article and comes back after 24 hours:
Open app on feed, update and insert “Continue reading” card at top

If a user leaves app from an article and comes back after a week:
Open app on feed, no “Continue reading” card

If a user leaves app from feed and comes back within 24 hours:
Open app on feed scrolled to where they were
“New articles” button shown

If a user leaves app from feed and comes back after 24 hours:
Open app on feed with new articles shown

JMinor created this task.Oct 13 2015, 5:37 PM
JMinor updated the task description. (Show Details)
JMinor raised the priority of this task from to High.
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2015, 5:37 PM
BGerstle-WMF updated the task description. (Show Details)Oct 13 2015, 5:42 PM
BGerstle-WMF set Security to None.
JMinor updated the task description. (Show Details)Oct 13 2015, 5:57 PM

@JMinor what about updating the feed after a user un-saves or removes (a) title(s) from their history?

JMinor updated the task description. (Show Details)Oct 13 2015, 6:05 PM
JMinor removed a subscriber: BGerstle-WMF.
Fjalapeno claimed this task.
Fjalapeno added a subscriber: Fjalapeno.

Really needs to be done with T115371 - working on them in parallel.

Spoke with @Fjalapeno to clarify v1. Some clarifications/changes:

  • For Nearby: update when location has changed more than 500 meters, rather than being 4+ sections from the top.
  • For restore position: restore to the section that was in the middle of the feed (scroll position cannot be preserved because sections move).
  • For English: include news items and featured items, and a footer to push to full today page.
  • For non-english one today card that just links to homepage
  • Some sections are singletons:
    • Nearby
    • Random
    • Today (cannot keep intermediate todays because the page is changed everyday but the url)
    • Continue reading

Rather than verify the exact logic has been implemented as spec'ed lets start with some basic acceptance criteria:

  • The user can smoothly scroll the feed
  • Cards have elements required and elements are in the right place
  • Tapping save button adds item to Saved Pages tab
  • Tapping items opens the article in the article view
  • Nearby items are present if user has authorized location access
  • Nearby items are not present if user has authorized location access

We can use the tweaks interface (shake the phone) to trigger some items and verify they are added to the feed and are functional:

  • Continue reading shows up and works

Please do not test or verify the today content or random card, as they have their own tickets in progress and should be tested as those tickets are resolved.

Etonkovidova added a subscriber: Etonkovidova.EditedNov 8 2015, 10:11 PM

Checked with 5.0.0(474)on iPad mini iOS 8.2

@JMinor

Nearby items are not present if user has authorized location access

There is a message displayed: 'Nothing nearby' --- should users be reminded that they did not allow the location access? Something like: 'Wikipedia app does not have location access'

@Etonkovidova you can ignore this for now, it is a temporary placeholder. Tickets for implementing empty views and permissions are in the backlog.

Mhurd added a subscriber: Mhurd.Nov 10 2015, 10:20 PM

Moved to "PM signoff" per Josh.

JMinor closed this task as Resolved.Nov 18 2015, 8:12 PM